# TODO
# - package systemd units
#
# Conditional build:
%bcond_without	pam		# PAM support
%bcond_without	ssl		# SSL support

# NOTES:
# - Release notes: https://mmonit.com/monit/changes/

Summary:	Process monitor and restart utility
Summary(pl.UTF-8):	Narzędzie do monitorowania procesów i ich restartowania
Name:		monit
Version:	5.25.2
Release:	3%{?tld}
License:	AGPL v3
Group:		Daemons
Source0:	http://mmonit.com/monit/dist/%{name}-%{version}.tar.gz
# Source0-md5:	890df599d6c1e9cfbbdd3edbacb7db81
Source1:	%{name}.init
Source2:	%{name}rc
Source3:	%{name}.config
Patch0:		config.patch
URL:		http://mmonit.com/monit/
BuildRequires:	bison
BuildRequires:	flex
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.7d}
%{?with_pam:BuildRequires:	pam-devel}
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.0.15
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
monit is an utility for monitoring daemons or similar programs running
on a Unix system. It will start specified programs if they are not
running and restart programs not responding.

%description -l pl.UTF-8
monit jest narzędziem do monitorowania demonów oraz podobnych
programów pracujących w systemie Unix. monit zrestartuje podany
program w momencie gdy przestaje on pracować lub w momencie gdy
program przestaje odpowiadać.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--bindir=%{_sbindir} \
	%{__with_without ssl} \
	%{__with_without pam} \
	--with-ssl-lib-dir=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,monit,sysconfig}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/monit

cp -p monitrc $RPM_BUILD_ROOT%{_sysconfdir}/monitrc
# NOTE: 'include *.monitrc' will fail if nothing matches the glob.
# so install dummy config not to remove it with upgrades (avoid .rpmsave)
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/monit/default.monitrc

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service monit restart "Monit Daemon"

%preun
if [ "$1" = "0" ]; then
	%service monit stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc CONTRIBUTORS README*
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/monitrc
%dir %attr(751,root,root) %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/default.monitrc
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/monit
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/monit
%{_mandir}/man1/monit.1*
%changelog
* Fri Dec 08 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/monit.git;a=log;h=master

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> f089fd0
- Release 3 (by relup.sh)

* Tue Oct 05 2021 Jan Rękorajski <baggins@pld-linux.org> da59ea1
- rediff patch, rebuild with openssl 3.0.0, rel 2

* Fri Sep 21 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1fdaeb0
- up to 5.25.2

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b89eb50
- release 2 (by relup.sh)

* Wed Oct 05 2016 Elan Ruusamäe <glen@delfi.ee> b076821
- up to 5.19.0

* Sat Mar 05 2016 Elan Ruusamäe <glen@delfi.ee> 3b334ee
- openssl 1.0.2g rebuild
- release 2 (by relup.sh)

* Wed Nov 18 2015 Elan Ruusamäe <glen@delfi.ee> ed5da8a
- add release notes url

* Wed Nov 18 2015 Elan Ruusamäe <glen@delfi.ee> 569cdae
- add pam and ssl bconds

* Wed Nov 18 2015 Elan Ruusamäe <glen@delfi.ee> da18c75
- up to 5.15; seems this version supports SPDY?

* Wed Nov 18 2015 Elan Ruusamäe <glen@delfi.ee> 5461937
- service start: check also pid

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> c378f50
- x32 rebuild
- release 3 (by relup.sh)

* Wed Oct 29 2014 Elan Ruusamäe <glen@delfi.ee> 749e7ce
- fix initscript status exit code

* Mon Oct 27 2014 Elan Ruusamäe <glen@delfi.ee> 4b7f41c
- up to 5.9; update license; remove duplicate config

* Mon Oct 27 2014 Elan Ruusamäe <glen@delfi.ee> d2e1d75
- unify initscript

* Fri Dec 23 2011 lisu <lisu@pld-linux.org> bd7b829
- up to 5.3.2

* Thu Oct 27 2011 lisu <lisu@pld-linux.org> c605691
- 5.3.1

* Fri Sep 16 2011 lisu <lisu@pld-linux.org> eacd95a
- updated to 5.3
- no html docs

* Fri Apr 01 2011 lisu <lisu@pld-linux.org> 452576a
- up to 5.2.5

* Tue Feb 22 2011 lisu <lisu@pld-linux.org> fea7f8c
- 5.2.4

* Mon Nov 22 2010 lisu <lisu@pld-linux.org> f2be3c6
- up to 5.2.3

